Subject: [Uri-review] New URI proposal.

From: <[email-masked]>
Date: Wed, 17 Feb 2010 22:37:37 +0100

Dear members.

We see a need for anonymous subscribers using interfaces based on URI, and have therefore submitted a proposal to solve this.
https://datatracker.ietf.org/doc/draft-uri-acr-extension/ 

BR Sune Jakobsson

---

From: Julian Reschke <[email-masked]>
Date: Wed, 17 Feb 2010 22:48:40 +0100

> https://datatracker.ietf.org/doc/draft-uri-acr-extension/

Quick questions and nits...:

1) Why is this a URI scheme, not a URN (RFC 3406)?

2) RFC 2234 has been obsoleted twice, please use RFC 5234. See 
<http://tools.ietf.org/idnits?url=http://tools.ietf.org/id/draft-uri-acr-extension-00.txt>

3) RFC 2396 has been obsoleted by RFC 3986. (See above)

Best regards, Julian

---

From: <[email-masked]>
Date: Thu, 18 Feb 2010 08:28:17 +0100

Dear Julian and members

Thank you for your prompt replay.
The API's use URI, and we are not in position to change that.

Sorry for using some old references, that is the curse of cut&paste, I will correct them, and uplad a new version

BR Sune Jakobsson

-----Original Message-----
From: Julian Reschke [mailto:[email-masked]] 
Sent: 17. februar 2010 22:49
To: Jakobsson Sune (ASA)
Cc: [email-masked]
Subject: Re: [Uri-review] New URI proposal.

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Thu, 18 Feb 2010 08:56:42 +0100

On 18.02.2010 08:28, [email-masked] wrote:
> ...

A URN is a URI, so I don't see how this is a problem....

Best regards, Julian

---

From: <[email-masked]>
Date: Mon, 22 Feb 2010 13:26:17 +0100

Dear all.

I'm missing your point here. In my understanding URN is a subset or URI?
Please explain your comment in detail, so that I can understand your viewpoint.

BR Sune Jakobsson

-----Original Message-----
From: Julian Reschke [mailto:[email-masked]] 
Sent: 18. februar 2010 08:57
To: Jakobsson Sune (ASA)
Cc: [email-masked]
Subject: Re: [Uri-review] New URI proposal.

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Mon, 22 Feb 2010 13:49:36 +0100

> I'm missing your point here. In my understanding URN is a subset or URI?

Yes.

> Please explain your comment in detail, so that I can understand your viewpoint.

I'm trying to understand why you're trying to define a new URI scheme, 
while a URN namespace (RFC 3406) appears to be sufficient.

That is, you'd have

   urn:acr:0123456890123456789

instead of

   acr:0123456890123456789

Best regards, Julian

---

From: <[email-masked]>
Date: Mon, 22 Feb 2010 13:55:17 +0100

Ok. What are the pros and cons?
The request I have is to create a new URI scheme.

BR Sune Jakobsson

-----Original Message-----
From: Julian Reschke [mailto:[email-masked]] 
Sent: 22. februar 2010 13:50
To: Jakobsson Sune (ASA)
Cc: [email-masked]
Subject: Re: [Uri-review] New URI proposal.

Yes.

That is, you'd have

instead of

   acr:0123456890123456789

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Mon, 22 Feb 2010 14:01:45 +0100

> Ok. What are the pros and cons?

The pro is you don't require a slot in the global "URI" scheme 
namespace. I don't think there's a con.

> The request I have is to create a new URI scheme.

Whose request?

Best regards, Julian

---

From: <[email-masked]>
Date: Mon, 22 Feb 2010 16:52:10 +0100

Dear Julian.

We have discussed the issue within GSMA, and since they like to reuse the ParlayX interface's and they in turn use URI, the proposal is to define "acr" as URI

BR Sune Jakobsson

-----Original Message-----
From: Julian Reschke [mailto:[email-masked]] 
Sent: 22. februar 2010 14:02
To: Jakobsson Sune (ASA)
Cc: [email-masked]
Subject: Re: [Uri-review] New URI proposal.

Whose request?

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Mon, 22 Feb 2010 17:04:11 +0100

> We have discussed the issue within GSMA, and since they like to reuse the ParlayX interface's and they in turn use URI, the proposal is to define "acr" as URI

It would be interesting to see how the use of that API precludes using a 
URN namespace (I'm really curious about that!).

Best regards, Julian